
public class Unicode{
    /*************************************************************************
  * Caractres unicode
  * e accent aigu = 00E9, majuscule = 00C9
  * e accent grave = 00E8, majuscule = 00C8
  * a accent grave =00E0, majuscule = 00C0
  * e accent circonflexe = 00EA, majuscule = 00CA
  * c cedille = 00E7, majuscule = 00C7
  * 
  * voir "http://www.unicode.org/charts/PDF/U0080.pdf"
  */
 
    public static String coder(String ch){
        String resultat = "";
        int i = 0;
        while( i < ch.length()){
            if (ch.charAt(i) != '#'){
                resultat += ch.charAt(i);
                i++;
            }else{
                char lettre = ch.charAt(i+1);
                String code = ch.substring(i + 2, i + 5);
                switch(lettre){
                    case 'e':
                        if (code.equals("gra")){
                            resultat += "\u00E8";
                        }else if (code.equals("aig")){
                            resultat += "\u00E9";
                        }else if (code.equals("cir")){
                            resultat += "\u00EA";
                        }else if (code.equals("tre")){
                            resultat += "\u00EB";
                        }else {
                            resultat += lettre;
                        }
                        break;
                    case 'E':
                        if (code.equals("gra")){
                            resultat += "\u00C8";
                        }else if (code.equals("aig")){
                            resultat += "\u00C9";
                        }else if (code.equals("cir")){
                            resultat += "\u00CA";
                        }else if (code.equals("tre")){
                            resultat += "\u00CB";
                        }else {
                            resultat += lettre;
                        }
                        break;
                    case 'a':
                        if (code.equals("gra")){
                            resultat += "\u00E0";
                        }else if (code.equals("cir")){
                            resultat += "\u00E2";
                        }else if (code.equals("tre")){
                            resultat += "\u00E4";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'A':
                        if (code.equals("gra")){
                            resultat += "\u00C0";
                        }else if (code.equals("cir")){
                            resultat += "\u00C2";
                        }else if (code.equals("tre")){
                            resultat += "\u00C4";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'i':
                        if (code.equals("cir")){
                            resultat += "\u00EE";
                        }else if (code.equals("tre")){
                            resultat += "\u00EF";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'I':
                        if (code.equals("cir")){
                            resultat += "\u00CE";
                        }else if (code.equals("tre")){
                            resultat += "\u00CF";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'u':
                        if (code.equals("gra")){
                            resultat += "\u00F9";
                        }else if (code.equals("cir")){
                            resultat += "\u00F8";
                        }else if (code.equals("tre")){
                            resultat += "\u00FC";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'U':
                        if (code.equals("gra")){
                            resultat += "\u00D9";
                        }else if (code.equals("cir")){
                            resultat += "\u00D8";
                        }else if (code.equals("tre")){
                            resultat += "\u00DC";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'o':
                        if (code.equals("cir")){
                            resultat += "\u00F4";
                        }else if (code.equals("tre")){
                            resultat += "\u00F6";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'O':
                        if (code.equals("cir")){
                            resultat += "\u00D4";
                        }else if (code.equals("tre")){
                            resultat += "\u00D6";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'c':
                        if (code.equals("ced")){
                            resultat += "\u00E7";
                        }else{
                            resultat += lettre;
                        }
                        break;
                    case 'C':
                        if (code.equals("ced")){
                            resultat += "\u00C7";
                        }else{
                            resultat += lettre;
                        }
                        break;
                }
                i += 5;
            } // if..else
        }// while
        return resultat;
    }
}